From 099a59fde058659922f2805ce1864bdacfead6c2 Mon Sep 17 00:00:00 2001
From: Dinar Valeev <dvaleev@suse.de>
Date: Mon, 2 Sep 2013 14:53:14 +0200
Subject: [PATCH] Continue if kernel arch doesn't match

While building pacakges within OBS, VM runs 64bit kernel all the time.
Don't exit if arch doesn't match, Warning should be enough for user.
---
 rpm/post.sh | 1 -
 1 file changed, 1 deletion(-)

diff --git a/rpm/post.sh b/rpm/post.sh
index 1aa6190..f964519 100644
--- a/rpm/post.sh
+++ b/rpm/post.sh
@@ -8,7 +8,6 @@ touch /boot/do_purge_kernels
 wrong_boardtype() {
     echo "This kernel-@FLAVOR@.@RPM_TARGET_CPU@.rpm is for $1, it will not boot on this system."
     echo "The /boot/vmlinux symlink will not be created or updated."
-    exit 0
 }
 if [ -f /proc/cpuinfo ]; then
     case "@FLAVOR@-@RPM_TARGET_CPU@" in
-- 
1.7.12.4

